### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-card/ecl-card.component.ts`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-card`
templateUrl | `./ecl-card.component.html`

### Index

###### Properties
cardBodySlot cardHeaderSlot eclCardBody eclCardHeader templates
###### Methods
hasCustomBody hasCustomHeader onTitleClick
###### Inputs
image isTile meta styleClass title titleHref titleRouterLink
###### Outputs
titleClick

### Constructor

`constructor()`

### Inputs

image
Type : `string`

isTile
Type : `boolean`

meta
Type : `string`

styleClass
Type : `string`

title
Type : `string`

titleHref
Type : `string`

titleRouterLink
Type : `string`

### Outputs

titleClick
Type : `EventEmitter`

### Methods

hasCustomBody
`hasCustomBody()`
Returns : `boolean`

hasCustomHeader
`hasCustomHeader()`
Returns : `boolean`

onTitleClick
`onTitleClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

### Properties

cardBodySlot
Type : `TemplateRef<any>`

cardHeaderSlot
Type : `TemplateRef<any>`

eclCardBody
Type : `EclCardBodyComponent`
Decorators : `@ContentChild(EclCardBodyComponent)`

eclCardHeader
Type : `EclCardHeaderComponent`
Decorators : `@ContentChild(EclCardHeaderComponent)`

templates
Type : `QueryList<any>`
Decorators : `@ContentChildren(EclSlotDirective)`

# result-matching ""

# No results matching ""